/*  Alien Pool
    Copyright (C) 2003  Michael J. Korman <mike@taequin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
 * @file Bonus.hh
 * Interface of the Bonus class.
 */

#ifndef BONUS_HH
#define BONUS_HH

#include "Sprite.hh"

/**
 * Class to represent bonuses.
 */
class Bonus : public Sprite {
public:
    Bonus(SpriteBase* sb, SDL_Surface* scr, SDL_Surface* bckgrnd, 
          float xvel, float yvel, int angle);
    ~Bonus();

    bool go();
    void draw(int new_x, int new_y);

private:
    int _counter; /**< When this reaches 0, bonus disappears. */
};

#endif // SHIP_HH
